package cn.iocoder.yudao.module.reward.controller.app.redeem.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("客户端 - 礼品兑换记录详情 resp VO")
public class AppRewardRedeemDetailRespVO {
    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    @ApiModelProperty(value = "兑换记录编号")
    private String redemptionNumber;
    @ApiModelProperty(value = "会员id")
    private Long memberId;
    @ApiModelProperty(value = "礼品id")
    private Long rewardId;
    @ApiModelProperty(value = "兑换状态")
    private Integer status;
    @ApiModelProperty(value = "兑换状态中文")
    private String statusZh;
    @ApiModelProperty(value = "兑换状态英文")
    private String statusEn;
    @ApiModelProperty(value = "兑换状态法文")
    private String statusFr;
    @ApiModelProperty(value = "兑换积分")
    private Integer totalCount;
    @ApiModelProperty(value = "礼品名称（中文）")
    private String rewardTitleZh;
    @ApiModelProperty(value = "礼品名称（英文）")
    private String rewardTitleEn;
    @ApiModelProperty(value = "兑换数量")
    private Integer rewardCount;
    @ApiModelProperty(value = "活动开始日期")
    private Date startTime;
    @ApiModelProperty(value = "活动结束日期")
    private Date endTime;
    @ApiModelProperty(value = "中文礼品图片")
    private String imgZh;
    @ApiModelProperty(value = "英文礼品图片")
    private String imgEn;
    @ApiModelProperty(value = "礼品单次兑换所需积分")
    private Integer oncePointsRequire;
    @ApiModelProperty(value = "兑换方式")
    private Integer redeemType;
    @ApiModelProperty(value = "兑换方式中文")
    private String redeemTypeZh;
    @ApiModelProperty(value = "兑换方式英文")
    private String redeemTypeEn;
    @ApiModelProperty(value = "兑换方式法文")
    private String redeemTypeFr;
    @ApiModelProperty(value = "兑换网点(中文)")
    private String nodeTitleZh;
    @ApiModelProperty(value = "兑换网点(英文)")
    private String nodeTitleEn;
    @ApiModelProperty(value = "收件人姓名")
    private String recipientName;
    @ApiModelProperty(value = "收件人电话")
    private String recipientPhoneNum;
    @ApiModelProperty(value = "收件人地址")
    private String recipientAddress;
    @ApiModelProperty(value = "快递日期")
    private Date expressDate;
    @ApiModelProperty(value = "快递公司名称")
    private String courierCompanyName;
    @ApiModelProperty(value = "快递单号")
    private String expressNo;
    @ApiModelProperty(value = "备注")
    private String remark;
}
